      PROGRAM NORMFORM
C----------------------------------------------------------------------
C Write 1-normalized EOF into sequential binary for GrADS.
C----------------------------------------------------------------------

      IMPLICIT NONE

      REAL*4 GRID(64,32)
      REAL*4 TEST(64,32)
      INTEGER I, J

      REAL*4 PATMEANT2M
      REAL*4 PATMEANCLO
      REAL*4 PATMEANPRE

      REAL*4 PMINV

      PARAMETER(PATMEANT2M =  0.115921)
      PARAMETER(PATMEANCLO = -0.0520417)
      PARAMETER(PATMEANPRE = -0.0629983)

C----------------------------------------------------------------------
C Change here for each field (t2m, clo, pre)
C----------------------------------------------------------------------

      PARAMETER(PMINV = 1./PATMEANpre)

C----------------------------------------------------------------------
C Read ASCII formatted data.
C----------------------------------------------------------------------

      READ(*, '(6E12.6)') TEST

C----------------------------------------------------------------------
C Multiply data grid by number.
C----------------------------------------------------------------------

      DO I=1,64
         DO J=1,32
            GRID(I,J) = PMINV * TEST(I,J)
         END DO
      END DO

C----------------------------------------------------------------------
C Write GrADS data file.
C Redirect into appropriately named outfile (t2m, clo, pre)
C----------------------------------------------------------------------

      WRITE(*, '(6E12.6)') GRID
      END

C----------------------------------------------------------------------
