C**  sc_ref.h  ********************************************************
C
C Reference scenario arrays, needed for abatement costs.
C
C	EA	Reference scenario ("Business as usual, B.A.U.")
C		 emission path.
C	TA	Temperature scenario according to B.A.U. emissions,
C		 used as additional temperature term in multiplayer
C		 single-mitigator case.
C	PCTA	B.A.U. scenario for temperature 1st PC.
C	PCSA	B.A.U. scenario for sea level 1st PC.
C
C G.Hooss, MPI Me HH, dec 1996.
C----------------------------------------------------------------------

      COMMON /CREF/ EA(0:NTAU), EAINV(0:NTAU), TA(0:NTAU),
     .            PCTA(0:NTAU),  PCSA(0:NTAU)

      REAL  EA, EAINV, TA, PCTA, PCSA

C**  Last line of sc_ref.h  *********************************************
