C----------------------------------------------------------------------
C sccarbon.h
C
C "Local" variables of the one-step carbon cycle model.
C Held in a COMMON block in order to keep the values from call to call.
C----------------------------------------------------------------------

      COMMON/CARBON/ COC, COCDOT, COCPR, COCPRDOT,
     .               CBS, CBSDOT, CBSPR, CBSPRDOT,
     .               CA, CS, CAPR, CSPR,
     .               AFN, BFN, DFN, APR, BPR, DPR,
     .               E2HS, RC, RP, ELACC, CTOT

      REAL COC(NBX,0:NTAU),   COCDOT(NBX,0:NTAU)
      REAL COCPR(NBX,0:NTAU), COCPRDOT(NBX,0:NTAU)

      REAL CBS(4,0:NTAU),   CBSDOT(4,0:NTAU)
      REAL CBSPR(4,0:NTAU), CBSPRDOT(4,0:NTAU)

      REAL CA(0:NTAU),   CS(0:NTAU)
      REAL CAPR(0:NTAU), CSPR(0:NTAU)

      REAL AFN(0:NTAU), BFN(0:NTAU), DFN(0:NTAU)
      REAL APR(0:NTAU), BPR(0:NTAU), DPR(0:NTAU)

      REAL E2HS, RC(0:NTAU), RP(0:NTAU), ELACC(0:NTAU), CTOT(0:NTAU)

C----------------------------------------------------------------------
