C----------------------------------------------------------------------
C Climate-related arrays that are used by both the climate & the economic
C models:
C
C	EL	Emission scenario.
C	W	Concentration scenario.
C	PCT	1st principal component of (annual) 2m temperature change.
C	PCS	1st principal component of (annual) sea level rise.
C	PCP	1st principal component of (annual) precipitation.
C	PCC	1st principal component of (annual) cloudiness.
C
C G.Hooss, MPI Me HH, dec 1996.
C Last update: 2000-07-24
C----------------------------------------------------------------------
      COMMON /CMOD/  EL, W, PCT, PCC, PCP, PCS

      REAL EL(0:NTAU), W(0:NTAU),
     .     PCT(0:NTAU), PCC(0:NTAU), PCP(0:NTAU), PCS(0:NTAU)
C----------------------------------------------------------------------
